# Get embossing file Download embossing file sent from Pismo to an embosser. Only available in the EXT environment. You can call the [List embossing files info](ref:get-embossing-file-info) endpoint to get embossing file names and configuration IDs. Embossing file names are also available via two events: [Card embossing notification received](https://developers.pismo.io/events/docs/cards-embossing-1) (`tracking` field) and the [Embossing summary received](https://developers.pismo.io/events/docs/cards-embossing-summary-1) event (`file-name` field). For more information about embossing, refer to the [Physical card embossing](doc:physical-card-embossing) guide. For detailed information about embossing flows, refer to [Embossing flows](doc:physical-card-embossing#embossing-flows). **Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Embossing data", "description": "Embossing data endpoints" } ], "components": { "parameters": { "configIdQuery": { "in": "query", "name": "configId", "schema": { "type": "string", "format": "uuid" }, "required": false, "description": "Embossing configuration/group ID.\n\nYou can call [Get nominal card embossing info](https://developers.pismo.io/pismo-docs/reference/get-embossing-info) to get a card's embossing details.\n\nYou can also call [Get org embosser info](https://developers.pismo.io/pismo-docs/reference/get-embossing-configurations-info) to get details about an Org's embossing settings. \n", "example": "6dacfdde-64bd-4a17-bbdf-3be627b271e6" }, "embossingFileNameQuery": { "in": "query", "name": "fileName", "schema": { "type": "string" }, "required": true, "description": "Embossing file to download" } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } } }, "paths": { "/embossing/v1/download-file": { "get": { "operationId": "get-embossing-download-file", "summary": "Get embossing file", "description": "Download embossing file sent from Pismo to an embosser. Only available in the EXT environment.\n\nYou can call the [List embossing files info](https://developers.pismo.io/pismo-docs/reference/get-embossing-file-info) endpoint to get embossing file names and configuration IDs.\n\nEmbossing file names are also available via two events: [Card embossing notification received](https://developers.pismo.io/events/docs/cards-embossing-1) (`tracking` field) and the [Embossing summary received](https://developers.pismo.io/events/docs/cards-embossing-summary-1) event (`file-name` field).\n\nFor more information about embossing, refer to the [Physical card embossing](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing) guide.\n\nFor detailed information about embossing flows, refer to [Embossing flows](https://developers.pismo.io/pismo-docs/docs/physical-card-embossing#embossing-flows).\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "tags": [ "Embossing data" ], "parameters": [ { "$ref": "#/components/parameters/configIdQuery" }, { "$ref": "#/components/parameters/embossingFileNameQuery" } ], "responses": { "200": { "description": "Embossing content to download." }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "description": "", "type": "object", "properties": { "error_code": { "type": "string" }, "message": { "type": "string" }, "status": { "type": "integer" }, "error": { "type": "string" } } }, "examples": { "example-bad-request": { "value": { "message": "X-tenant, configid, and filename are required", "error": "bad_request", "status": 400 } } } } } } } } } } } ```